Package org.springframework.security.access

# Interface AfterInvocationProvider

All Known Implementing Classes:
  `PostInvocationAdviceProvider`

@Deprecated public interface AfterInvocationProvider
Deprecated.
Use delegation with `AuthorizationManager`
Indicates a class is responsible for participating in an `AfterInvocationProviderManager` decision.

See Also:
  - `AuthorizationManagerBeforeMethodInterceptor`
  - `AuthorizationManagerAfterMethodInterceptor`

## Method Summary

Modifier and Type
Method
Description
`Object`
`decide(Authentication authentication, Object object, Collection<ConfigAttribute> attributes, Object returnedObject)`
Deprecated.
`boolean`
`supports(Class<?> clazz)`
Deprecated.
Indicates whether the `AfterInvocationProvider` is able to provide "after invocation" processing for the indicated secured object type.
`boolean`
`supports(ConfigAttribute attribute)`
Deprecated.
Indicates whether this `AfterInvocationProvider` is able to participate in a decision involving the passed `ConfigAttribute`.

## Method Details

### decide

Object decide(Authentication authentication, Object object, Collection<ConfigAttribute> attributes, Object returnedObject) throws AccessDeniedException
Deprecated.

Throws:
  `AccessDeniedException`

### supports

boolean supports(ConfigAttribute attribute)
Deprecated.
Indicates whether this `AfterInvocationProvider` is able to participate in a decision involving the passed `ConfigAttribute`.

This allows the `AbstractSecurityInterceptor` to check every configuration attribute can be consumed by the configured `AccessDecisionManager` and/or `RunAsManager` and/or `AccessDecisionManager`.

Parameters:
  `attribute` - a configuration attribute that has been configured against the `AbstractSecurityInterceptor`
Returns:
  true if this `AfterInvocationProvider` can support the passed configuration attribute

### supports

boolean supports(Class<?> clazz)
Deprecated.
Indicates whether the `AfterInvocationProvider` is able to provide "after invocation" processing for the indicated secured object type.

Parameters:
  `clazz` - the class of secure object that is being queried
Returns:
  true if the implementation can process the indicated class